# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "treadmill/version"

Gem::Specification.new do |s|
  s.name        = "treadmill"
  s.version     = Treadmill::VERSION
  s.authors     = ["Camilo Ribeiro"]
  s.email       = ["camilo@camiloribeiro.com"]
  s.homepage    = "http://github.com/camiloribeiro/treadmill"
  s.license     = "Apache 2.0"
  s.summary     = %q{Service-Object Model for Ruby}
  s.description = %q{Treadmill is a performance testing tool}

  s.rubyforge_project = "treadmill"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.default_executable = 'treadmill'

  s.require_paths = ["lib"]

  s.add_development_dependency 'simplecov'
  s.add_development_dependency 'pry'
  s.add_development_dependency 'rake'
  s.add_development_dependency 'webmock'

  s.add_dependency 'google-cloud'
  s.add_dependency 'capistrano'

end
